Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.manager
Class RepositoryConfigExistsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.content.RepositoryException
                  com.bea.content.federated.RepositoryConfigExistsException
                      com.bea.content.manager.RepositoryConfigExistsException

All Implemented Interfaces
  Serializable

Deprecated Replaced by `RepositoryConfigExistsException`

    @Deprecated
    public class RepositoryConfigExistsException

extends RepositoryConfigExistsException

Thrown if an operation on a Node that already exists occurs, such as attempting to rename a Node to the Name of a Node that already exists.

See Also
  Serialized Form

Constructor Summary
`RepositoryConfigExistsException(String message)` Deprecated
`RepositoryConfigExistsException(String message, Throwable cause)` Deprecated
`RepositoryConfigExistsException(String message, Throwable cause, boolean log)` Deprecated
`RepositoryConfigExistsException(Throwable cause)` Deprecated

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepositoryConfigExistsException

    public RepositoryConfigExistsException(String message)

  Deprecated

### RepositoryConfigExistsException

    public RepositoryConfigExistsException(String message,
                                           Throwable cause)

  Deprecated

### RepositoryConfigExistsException

    public RepositoryConfigExistsException(Throwable cause)

  Deprecated

### RepositoryConfigExistsException

    public RepositoryConfigExistsException(String message,
                                           Throwable cause,
                                           boolean log)

  Deprecated

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.